commit:     d3f24327aa5a70fc561f350e9499fa259c23511c
Author:     Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
AuthorDate: Wed May  3 11:09:16 2023 +0000
Commit:     Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
CommitDate: Wed May  3 11:11:31 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3f24327

sys-cluster/sanlock: add 3.8.5

Signed-off-by: Marc Schiffbauer <mschiff <AT> gentoo.org>

 sys-cluster/sanlock/Manifest             |  1 +
 sys-cluster/sanlock/sanlock-3.8.5.ebuild | 76 ++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/sys-cluster/sanlock/Manifest b/sys-cluster/sanlock/Manifest
index 27b197157c2d..8c20e2802fb6 100644
--- a/sys-cluster/sanlock/Manifest
+++ b/sys-cluster/sanlock/Manifest
@@ -1 +1,2 @@
 DIST sanlock-3.8.4.tar.gz 270031 BLAKE2B 
da011a15d488849d47fe1043df040580652558918dff9549bf4e6cb4077c03b4aaa8f8de5399dbb0e3f2301ae90c0d20599b25bd5e72bae5317b13f79a352333
 SHA512 
9fca2b18fd3bd504d5186de0b2626ea2c993997528de2384dc042afe52b2b68422a2e4bb79e2409c9e6eccbe5ea8d8939549eb25c5d16aa7fecf6c9a5798340c
+DIST sanlock-3.8.5.tar.gz 270911 BLAKE2B 
7f8146d67c620d22ded5205c1c621f3bbb36256a4c80e866575d8f324ad0237cf8bc07579f3aeda393dd0db85e27fdaa1aab1b6d7b931d4416d13f82d560e22a
 SHA512 
8131e0b37ac47052a29d4b3a3e4286b06b862f08e827d3307f179eadbe97e4bc3e10f5c93f35042c308435ee81546a813227bce665a9735cbbf2b5a4a1f4474a

diff --git a/sys-cluster/sanlock/sanlock-3.8.5.ebuild 
b/sys-cluster/sanlock/sanlock-3.8.5.ebuild
new file mode 100644
index 000000000000..d2fee0f662f4
--- /dev/null
+++ b/sys-cluster/sanlock/sanlock-3.8.5.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit linux-info python-r1 systemd
+
+DESCRIPTION="shared storage lock manager"
+HOMEPAGE="https://pagure.io/sanlock";
+SRC_URI="https://releases.pagure.org/${PN}/${P}.tar.gz";
+
+LICENSE="LGPL-2+ GPL-2 GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="python"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="
+       acct-user/${PN}
+       acct-group/${PN}
+       dev-libs/libaio
+       sys-apps/util-linux
+       python? ( ${PYTHON_DEPS} )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="sys-apps/which"
+
+PATCHES=(
+       "${FILESDIR}/sanlock-fence_sanlock-LDFLAGS.patch"
+       "${FILESDIR}/sanlock-3.8.4-implicit-func-decls.patch"
+)
+
+CONFIG_CHECK="~SOFT_WATCHDOG"
+
+src_compile() {
+       for d in wdmd src fence_sanlock reset; do
+               emake -C ${d}
+       done
+
+       if use python; then
+               python_foreach_impl emake -C python
+       fi
+}
+
+src_install() {
+       for d in wdmd src fence_sanlock reset; do
+               emake -C ${d} DESTDIR="${D}" 
LIBDIR="${EPREFIX}/usr/$(get_libdir)" install
+       done
+
+       if use python; then
+               python_foreach_impl emake -C python DESTDIR="${D}" install
+       fi
+
+       # config
+       dodir /etc/wdmd.d
+       dodir /etc/sanlock
+       insinto /etc/sanlock
+       doins src/sanlock.conf
+
+       # init
+       newconfd init.d/sanlock.sysconfig sanlock
+       newconfd init.d/wdmd.sysconfig wdmd
+       newinitd "${FILESDIR}"/sanlock.initd sanlock
+       newinitd "${FILESDIR}"/wdmd.initd wdmd
+       #doinitd ${FILESDIR}/sanlk-resetd.initd
+       #doinitd ${FILESDIR}/fence_sanlockd.initd
+
+       # systemd
+       systemd_newunit init.d/sanlock.service.native sanlock.service
+       sed -i 's,^ExecStartPre=,#ExecStartPre=,' init.d/wdmd.service.native || 
die
+       systemd_newunit init.d/wdmd.service.native wdmd.service
+       systemd_dounit init.d/sanlk-resetd.service
+       #systemd_dounit ${FILESDIR}/fence_sanlockd.service
+}

Reply via email to